utils.h File Reference
`#include <glib.h>`
`#include <signal.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Macros

#define | VMTOOLS_GUEST_SERVICE "vmsvc"
#define | VMTOOLS_USER_SERVICE "vmusr"
#define | VMTOOLS_EXTERN_C
#define | ABS(x)
#define | VMTOOLS_GET_FILENAME_LOCAL(path, err)
#define | VMTOOLS_RELEASE_FILENAME_LOCAL(path)
#define | VMTOOLS_WRAP_ARRAY(a)

## Typedefs

typedef gboolean(* | SignalSourceCb) (const siginfo_t *, gpointer)

## Functions

G_BEGIN_DECLS void | vm_free (void *ptr)
gboolean | VMTools_LoadConfig (const gchar *path, GKeyFileFlags flags, GKeyFile **config, time_t *mtime)
gboolean | VMTools_AddConfig (GKeyFile *srcConfig, GKeyFile *dstConfig)
gboolean | VMTools_CompareConfig (GKeyFile *config1, GKeyFile *config2)
gboolean | VMTools_WriteConfig (const gchar *path, GKeyFile *config, GError **err)
gboolean | VMTools_ChangeLogFilePath (const gchar *delimiter, const gchar *appendString, const gchar *domain, GKeyFile *conf)
gboolean | VMTools_ConfigGetBoolean (GKeyFile *config, const gchar *section, const gchar *key, const gboolean defValue)
gint | VMTools_ConfigGetInteger (GKeyFile *config, const gchar *section, const gchar *key, const gint defValue)
gchar * | VMTools_ConfigGetString (GKeyFile *config, const gchar *section, const gchar *key, const gchar *defValue)
GSource * | VMTools_NewSignalSource (int signum)
gchar * | VMTools_GetLibdir (void)
GSource * | VMTools_CreateTimer (gint timeout)
| Create a timer based on a monotonic clock source.
void | VMTools_AcquireLogStateLock (void)
void | VMTools_ReleaseLogStateLock (void)
gchar * | VMTools_GetTimeAsString (void)
void | VMTools_SuspendLogIO (void)
void | VMTools_ResumeLogIO (void)
GArray * | VMTools_WrapArray (gconstpointer data, guint elemSize, guint count)

## Detailed Description

Public functions from the VMTools shared library, and other definitions.